Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class WCSHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler
          org.deegree.enterprise.servlet.WCSHandler

All Implemented Interfaces:
  ServiceDispatcher

     class WCSHandler

extends AbstractOWServiceHandler

Dispatcher for WCService.

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`WCSHandler()`

Method Summary
`WCService` | `getService()`
`void` | `perform(OGCWebServiceRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `sendException(javax.servlet.http.HttpServletResponse response, Exception exc)` Sends an exception report to the client.

Methods inherited from class org.deegree.enterprise.servlet.AbstractOWServiceHandler
`sendException, sendExceptionReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCSHandler

    WCSHandler()

Method Detail

### perform

    public void perform(OGCWebServiceRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws ServiceException,
                        OGCWebServiceException

  Throws:
    `ServiceException`
    `OGCWebServiceException`

### sendException

    public void sendException(javax.servlet.http.HttpServletResponse response,
                              Exception exc)

  Description copied from class: `AbstractOWServiceHandler`
  Sends an exception report to the client. The exception report complies to the OWS Common Implementation Specification 0.3.0.

  Overrides:
    `sendException` in class `AbstractOWServiceHandler`

### getService

    public WCService getService()
                         throws ServiceException

  Returns:
    a service instance
  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org